# Class CIM_ElementSettingData

ElementSettingData represents the association between ManagedElements and applicable setting data. This association also describes whether this is a default or current setting.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementSettingData

## Direct Known Subclasses

CIM_TransformOfSecurityAssociation

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ElementSettingData represents the association between ManagedElements and applicable setting data. This association also describes whether this is a default or current setting.
UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.19.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsCurrent | uint16 |
Description | string | An enumerated integer indicating that the referenced setting is currently being used in the operation of the element, or that this information is unknown.
ValueMap | string | 0, 1, 2
Values | string | Unknown, Is Current, Is Not Current
IsDefault | uint16 |
Description | string | An enumerated integer indicating that the referenced setting is a default setting for the element, or that this information is unknown.
ValueMap | string | 0, 1, 2
Values | string | Unknown, Is Default, Is Not Default
IsNext | uint16 |

Description

string

An enumerated integer indicating whether or not the referenced setting is the next setting to be applied. For example, the application could take place on a re-initialization, reset, reconfiguration request. This could be a permanent setting, or a setting used only one time, as indicated by the flag. If it is a permanent setting then the setting is applied every time the managed element reinitializes, until this flag is manually reset. However, if it is single use, then the flag is automatically cleared after the settings are applied. Also note that if this flag is specified (i.e. set to value other than "Unknown"), then this takes precedence over any SettingData that may have been specified as Default. For example: If the managed element is a computer system, and the value of this flag is "Is Next", then the setting will be effective next time the system resets. And, unless this flag is changed, it will persist for subsequent system resets. However, if this flag is set to "Is Next For Single Use", then this setting will only be used once and the flag would be reset after that to "Is Not Next". So, in the above example, if the system reboots in a quick succession, the setting will not be used at the second reboot.

ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Is Next, Is Not Next, Is Next For Single Use

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ManagedElement | CIM_ElementSettingData | CIM_ManagedElement
SettingData | CIM_ElementSettingData | CIM_SettingData

## Class Methods